Subject: Re: [PATCH net-next 2/4] net: phy: mxl-gpy: cache PHY firmware version

From: Andrew Lunn <[email-masked]>
Date: Tue, 12 Jul 2022 15:24:35 +0200

> +	priv->fw_type = FIELD_GET(PHY_FWV_TYPE_MASK, fw_version);
> +	priv->fw_minor = FIELD_GET(PHY_FWV_MINOR_MASK, fw_version);
>  
>  	ret = gpy_hwmon_register(phydev);
>  	if (ret)
>  		return ret;
>  
> +	/* Show GPY PHY FW version in dmesg */
>  	phydev_info(phydev, "Firmware Version: 0x%04X (%s)\n", fw_version,
>  		    (fw_version & PHY_FWV_REL_MASK) ? "release" : "test");

Maybe use fw_type and fw_minor. It makes the patch a bit bigger, but
makes the code more consistent.

      Andrew